commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Noel J. Bergman" <>
Subject RE: [VOTE][DBCP] Release commons-dbcp v1.2.1
Date Mon, 14 Jun 2004 20:35:28 GMT
> > Was there anything similar in Pool?  And can we compile the
> > release packages with JDK 1.3?

> I tested Pool 1.2 and it can be compiled with JDK 1.3.1_01.
> So that one should be OK.

Ideally, all Commons release packages would be compiled with JDK 1.3, not
1.4.  The problem with compiling with 1.4 is that it is possible, although I
don't know if we have any of these collisions, to run into:

  JDK 1.3: f(T)
  JDK 1.4: f(DerivedT)
   Client: f(DerivedT)

which results in code that compiles fine with both JDK 1.3 and JDK 1.4, but
is NOT binary compatible if compiled with JDK 1.4.  Do you know if we have
any such issues?

	--- Noel

To unsubscribe, e-mail:
For additional commands, e-mail:

View raw message